% Funktion und Ableitung
F  = @(x) (x-1).*(x-2);
DF = @(x) (x-1)+(x-2);

% Berechne Finite-Differenzen Approx. der Ableitung und den gemachten Fehler
x0 = 0.25*pi;
h = logspace(-20,0);
FD_DF = (F(x0 + h) - F(x0))./h;
err = abs(FD_DF - DF(x0));

% Plotte
clf
loglog(h,err,'b-+')
xlabel('h')
ylabel('Fehler')
title('Approx. der Ableitung mit Finiten-Differenzen')
% print('FDausloeschung.eps','-depsc')

