x0    = 0;
maxitr = 1000;
atol = 1e-10;
rtol = 1e-8;
f     = @(x) x*exp(x)-1;

% Phi1
fprintf('Fixpunkt mit phi1 \n')
phi1 = @(x) exp(-x);
x1   = fixpunkt(phi1,x0,maxitr,atol,rtol);
% Ueberpruefung
fprintf('  x1 = %.3f \n',x1(end))
fprintf('  f(x1) = %.3f \n',f(x1(end)))

% Phi2
fprintf('Fixpunkt mit phi2 \n')
phi2 = @(x) ((x^2)*exp(x) + 1)/(exp(x)*(x+1));
x2   = fixpunkt(phi2,x0,maxitr,atol,rtol);
% Ueberpruefung
fprintf('  x2 = %.3f \n',x2(end))
fprintf('  f(x2) = %.3f \n',f(x2(end)))

% Phi3
fprintf('Fixpunkt mit phi3 \n')
phi3 = @(x) x + 1 - x*exp(x);
x3   = fixpunkt(phi3,x0,maxitr,atol,rtol);
% Ueberpruefung
fprintf('  x3 = %.3f \n',x3(end))
fprintf('  f(x3) = %.3f \n',f(x3(end)))
