% Berechne Function auf einem regelmaeesigen Gitter
x = linspace(-0.2,2,100);
y = linspace(0,2.2,100);
[X,Y] = meshgrid(x,y);
Z = func2D(X,Y);

% Zeichne Hoehenlinen der beiden Funktions-Komponenten
v = [-3.,-2.,-1.,0.,1.,2.,3.];
clf;
hold on;
contour(X,Y,Z(:,:,1),v,'b-','ShowText','on');
contour(X,Y,Z(:,:,2),v,'r-','ShowText','on');
title('Hoehenlinien (f1 blau und f2 rot)');
xlabel('x');
ylabel('y');
box on;
hold off;

